# Class BeanShellPreProcessor

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.BeanShellTestElement
org.apache.jmeter.modifiers.BeanShellPreProcessor

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, PreProcessor, TestBean, TestElement, TestStateListener, ThreadListener`

public class BeanShellPreProcessor extends BeanShellTestElement implements Cloneable, PreProcessor, TestBean

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`BeanShellPreProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getInitFileProperty()`
`void`
`process()`

### Methods inherited from class BeanShellTestElement

`clone, getBeanShellInterpreter, getFilename, getParameters, getScript, isResetInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testStarted, testStarted, threadFinished, threadStarted`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanShellPreProcessor

public BeanShellPreProcessor()

## Method Details

### getInitFileProperty

protected String getInitFileProperty()

Specified by:
  `getInitFileProperty` in class `BeanShellTestElement`

### process

public void process()

Specified by:
  `process` in interface `PreProcessor`